Bug 136762 - broken local variable and missing return stmt
broken local variable and missing return stmt
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grip (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-22 04:13 EDT by David Binderman
Modified: 2014-03-16 22:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 18:08:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-22 04:13:25 EDT
Description of problem:

I just tried to compile package grip-3.2.0-2 from package
Redhat Fedora Core 3 Test 3.

The compiler said

1.

discdb.c(195): remark #592: variable "user" is used before its value
is set

The source code is

        g_string_sprintf(user,"%s:%s",server->proxy->username,
                         server->proxy->pswd);

Suggest init local variable "user" before first use.

2.

gripcfg.c(784): warning #117: non-void function "LoadRipperConfig"
should return a value

The source code is

  if(ripcfg==0) return;

Suggest add expression into the return statement.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2005-02-04 18:08:58 EST
grip is no longer shipped in the development tree; as such, it is unlikely older
bugs will be fixed.

Note You need to log in before you can comment on or make changes to this bug.